Bug 2091328 - Please branch and build filezilla in epel9.
Summary: Please branch and build filezilla in epel9.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: filezilla
Version: epel9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-05-28 21:39 UTC by Phil Wyett
Modified: 2022-07-17 02:03 UTC (History)
4 users (show)

Fixed In Version: filezilla-3.60.1-1.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-17 02:03:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Phil Wyett 2022-05-28 21:39:27 UTC
Please branch and build filezilla in epel9.

If you do not wish to maintain filezilla in epel9,
or do not think you will be able to do this in a timely manner,
I would be happy to be a co-maintainer of the package (FAS kathenas);
please add me through https://src.fedoraproject.org/rpms/filezilla/adduser

Comment 1 Gwyn Ciesla 2022-05-31 20:23:21 UTC
Missing deps, please file bugs blocking this one.

DEBUG util.py:443:  No matching package to install: 'golang-storj-uplink-devel'
DEBUG util.py:443:  No matching package to install: 'libstorj-devel'
DEBUG util.py:443:  No matching package to install: 'pugixml-devel >= 1.7'

Comment 2 Orion Poplawski 2022-05-31 20:34:11 UTC
Is 'golang-storj-uplink-devel' a hard dep?  That strikes me as possibly hard to come by, but I'll ask.  Other two are filed and blocking this.

Comment 3 Orion Poplawski 2022-05-31 22:22:13 UTC
Actually, looks like the filezilla BRs are not correct.  PR filed here: https://src.fedoraproject.org/rpms/filezilla/pull-request/5

Comment 4 Gwyn Ciesla 2022-06-07 15:30:30 UTC
Still missing pugixml.

Comment 5 Orion Poplawski 2022-06-07 15:53:25 UTC
Buildroot override just expired.  I pushed it out a couple more days.

Comment 6 Phil Wyett 2022-07-06 22:22:09 UTC
Where are we now with building filezilla for EL 9?

Comment 7 Phil Wyett 2022-07-06 22:27:54 UTC
(In reply to Orion Poplawski from comment #2)
> Is 'golang-storj-uplink-devel' a hard dep?  That strikes me as possibly hard
> to come by, but I'll ask.  Other two are filed and blocking this.

Those who use filezilla on Fedora maybe able to say if they use this feature. Personally as the maintainer of filezilla on Debian, I do not build with storj support.

Comment 8 Orion Poplawski 2022-07-08 03:56:31 UTC
The storj dep has already been dropped with the merging of my PR (probably want to re-enable it in Fedora).  Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=89222046 succeeded.

So I think we just need someone to request the branch.  And perhaps add Phil to the package as well?  Thanks.

Comment 9 Gwyn Ciesla 2022-07-08 15:12:09 UTC
Building. Phil, I can add you, what's your FAS account?

Comment 10 Fedora Update System 2022-07-08 15:25:33 UTC
FEDORA-EPEL-2022-656f1bf70a has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-656f1bf70a

Comment 11 Fedora Update System 2022-07-09 02:09:03 UTC
FEDORA-EPEL-2022-656f1bf70a has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-656f1bf70a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Phil Wyett 2022-07-09 06:49:36 UTC
(In reply to Gwyn Ciesla from comment #9)
> Building. Phil, I can add you, what's your FAS account?

Hi,

Yes, I am happy to be added as most know I have a special interest in EL. My FAS name: kathenas.

Regards

Phil

Comment 13 Fedora Update System 2022-07-17 02:03:31 UTC
FEDORA-EPEL-2022-656f1bf70a has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.